=== examples/CMakeLists.txt ===
add_subdirectory(expintf-example)
add_subdirectory(textcodec-example)
add_subdirectory(filewatcher-example)
add_subdirectory(dlog-example)
