=== debian/changelog ===
dtkcore (5.7.12-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:21:08 +0300

dtkcore (5.7.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add explicit binary dep libdtklog-dev.
  * debian/libdtkcore5.shlibs: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 15:40:01 -0400
