=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk

VERSION = $(DEB_VERSION_UPSTREAM)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOC_OPTION := ON
else
  BUILD_DOC_OPTION := OFF
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_EXAMPLES=OFF \
            -DBUILD_DOCS=$(BUILD_DOC_OPTION) \
            -DBUILD_WITH_SYSTEMD=ON \
			-DDTK_VERSION=$(VERSION) \
            $(NULL)

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md


ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_install:
	# Manually install .qch file when documentation is being built
	dh_install debian/tmp/usr/share/qt5/doc/dtkcore.qch /usr/share/qt5/doc/
endif
