=== debian/changelog ===
dtkcore (5.7.14) unstable; urgency=medium

  * fix: resolve compilation failure on Qt 6.9

 -- JiDe Zhang <zhangjide@deepin.org>  Sat, 12 Apr 2025 17:19:00 +0800

dtkcore (5.7.13) unstable; urgency=medium

  * fix: add copyright for dconfig_org_deepin_dtk_preference.hpp
  * feat: supports create generic config by dconfig2cpp
  * fix: build failed on Qt6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:05:39 +0800

dtkcore (5.7.12) unstable; urgency=medium

  * feat: dconfig2cpp always add bindableFoo functions on Qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:29:21 +0800

dtkcore (5.7.11) unstable; urgency=medium

  * feat: dconfig2cpp generated codes supports qml
  * feat: export ProductType for QML
  * feat: async get dconfig value for DLog
  * feat: support auto generate the Qt code from a dconfig's json

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:47:22 +0800

dtkcore (5.7.10) unstable; urgency=medium

  * Release 5.7.10

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:04 +0800

dtkcore (5.7.9) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dtkcore (5.7.8) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

dtkcore (5.7.7) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:38 +0000

dtkcore (5.7.6) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:52 +0000
