## dtkcore 5.7.16

=== debian/changelog ===
dtkcore (5.7.16) unstable; urgency=medium

  * fix: add missing UosMilitary edition type cases

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:21:50 +0800

dtkcore (5.7.15) unstable; urgency=medium

  * fix: correct bitwise operation in dconfig status tracking
  * chore: update REUSE license file patterns
  * fix: add QPointer check for parent object safety

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:02 +0800
