## dtkcore 5.7.18

=== debian/changelog ===
dtkcore (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:07:16 +0800

dtkcore (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 -- asterwyx <wangyixue@uniontech.com>  Wed, 18 Jun 2025 18:01:08 +0800
