=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 include /usr/share/dpkg/default.mk
 export QT_SELECT = qt5
 export DEB_CXXFLAGS_MAINT_APPEND = -Ofast
+
+# 安全编译参数
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
