## dtkcore 5.7.21

=== debian/changelog ===
dtkcore (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:47:41 +0800

dtkcore (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:00:27 +0800
