=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,20 @@
 
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
 find_package(Dtk${DTK_VERSION_MAJOR}Log REQUIRED)
+find_package(DBus1 REQUIRED)
 if(LINUX)
   find_package(PkgConfig REQUIRED)
   find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
-  if("${QT_VERSION_MAJOR}" STREQUAL "5")
+
+  if(${QT_VERSION_MAJOR} EQUAL 5)
       pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt) #Dtk6 removed.
+  elseif(${QT_VERSION_MAJOR} EQUAL 6)
+      if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
+          find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
+      endif()
+  else()
+      message(FATAL_ERROR "Unsupported Qt version: ${QT_VERSION_MAJOR}")
   endif()
-
 endif()
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Xml)
 find_package(DtkBuildHelper REQUIRED)
@@ -23,6 +30,12 @@
 find_package(ICU REQUIRED COMPONENTS uc)
 pkg_check_modules(uchardet REQUIRED uchardet)
 # end text encoding
+
+# 为不包含实际QObject类的头文件跳过AutoMOC处理
+set_property(SOURCE ../include/base/dsingleton.h PROPERTY SKIP_AUTOMOC ON)
+if("${DTK_VERSION_MAJOR}" STREQUAL "6")
+    set_property(SOURCE ../include/util/dthreadutils.h PROPERTY SKIP_AUTOMOC ON)
+endif()
 
 # start base
 include(base/base.cmake)
@@ -114,6 +127,9 @@
     LIBDTKCORE_LIBRARY
 )
 
+target_link_libraries(${LIB_NAME} PRIVATE
+  dbus-1
+)
 target_include_directories(${LIB_NAME} PRIVATE
   ${uchardet_INCLUDE_DIRS}
 )
