=== tools/dci/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,13 @@
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
+
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
+      find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
+    endif()
+endif()
+
 add_definitions(-DDTK_NO_PROJECT)
 # start dci
 include(../../src/dci/dci.cmake)
