=== debian/changelog ===
dtkcore (5.7.24) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:45:57 +0800

dtkcore (5.7.23) unstable; urgency=medium

  * Release 5.7.23

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:58 +0800

dtkcore (5.7.22) unstable; urgency=medium

  * Release 5.7.22

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:27:28 +0800
