## dtkcore 5.7.26

=== debian/changelog ===
dtkcore (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:02:30 +0800

dtkcore (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:47:32 +0800
