=== examples/dlog-example/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(BIN_NAME dlog${DTK_VERSION_MAJOR})
+set(BIN_NAME dlog${DTK_NAME_SUFFIX})
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
