=== tools/ch2py/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 set(TARGET_NAME ch2py)
-set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})
+set(BIN_NAME ${TARGET_NAME}${DTK_NAME_SUFFIX})
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
@@ -14,8 +14,9 @@
     Qt${QT_VERSION_MAJOR}::Core
 )
 target_include_directories(${BIN_NAME} PRIVATE
-    ${PROJECT_SOURCE_DIR}/include/util
-    ${PROJECT_SOURCE_DIR}/include/global
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
+    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
 )
 set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
 install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")
