=== tools/dci/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 set(TARGET_NAME dci)
-set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})
+set(BIN_NAME ${TARGET_NAME}${DTK_NAME_SUFFIX})
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
