=== tools/dconfig2cpp/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 set(TARGET_NAME dconfig2cpp)
-set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})
+set(BIN_NAME ${TARGET_NAME}${DTK_NAME_SUFFIX})
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
@@ -21,6 +21,6 @@
 
 install(
   TARGETS ${BIN_NAME}
-  EXPORT Dtk${DTK_VERSION_MAJOR}ToolsTargets
+  EXPORT Dtk${DTK_NAME_SUFFIX}ToolsTargets
   DESTINATION ${TOOL_INSTALL_DIR}
 )
