=== tools/deepin-os-release/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,15 @@
 set(TARGET_NAME deepin-os-release)
-set(BIN_NAME ${TARGET_NAME}${DTK_VERSION_MAJOR})
+set(BIN_NAME ${TARGET_NAME}${DTK_NAME_SUFFIX})
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 set(CMAKE_AUTOMOC ON)
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
+      find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
+    endif()
+endif()
+
 add_definitions(-DDTK_NO_PROJECT)
 # start dci
 set(dci_SRCS
@@ -25,11 +31,12 @@
   Qt${QT_VERSION_MAJOR}::CorePrivate
 )
 target_include_directories(${BIN_NAME} PUBLIC
-  ../../include/
-  ../../include/dci/
-  ../../include/DtkCore/
-  ../../include/base/
-  ../../include/global/
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dci>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkCore>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
+    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
 )
 set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
 install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")
