=== debian/changelog ===
dtkcore (6.7.33) unstable; urgency=medium

  * Release 6.7.33

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 05 Feb 2026 17:27:03 +0800

dtkcore (6.7.32) unstable; urgency=medium

  * Release 6.7.32

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 22 Jan 2026 16:53:52 +0800

dtkcore (6.7.31) unstable; urgency=medium

  * Release 6.7.31

 --  yeshanshan <yeshanshan@uniontech.com>  Tue, 06 Jan 2026 13:16:35 +0800

dtkcore (5.7.30) unstable; urgency=medium

  * Release 5.7.30

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 11 Dec 2025 20:58:19 +0800

dtkcore (5.7.28) unstable; urgency=medium

  * Release 5.7.28

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 04 Dec 2025 19:52:58 +0800

dtkcore (5.7.27) unstable; urgency=medium

  * Release 5.7.27

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 27 Nov 2025 19:39:07 +0800
